Subject: [PATCH bpf-next 0/3] bpf: Allow narrow loads with offset > 0

From: Andrey Ignatov <[email-masked]>
Date: Tue, 6 Nov 2018 17:23:25 -0800

This patch set adds support for narrow loads with offset > 0 to BPF
verifier.

Patch 1 provides more details and is the main patch in the set.
Patches 2 and 3 add new test cases to test_verifier and test_sock_addr
selftests.

Andrey Ignatov (3):
  bpf: Allow narrow loads with offset > 0
  selftests/bpf: Test narrow loads with off > 0 in test_verifier
  selftests/bpf: Test narrow loads with off > 0 for bpf_sock_addr

 include/linux/filter.h                       | 16 +------
 kernel/bpf/verifier.c                        | 19 ++++++--
 tools/testing/selftests/bpf/test_sock_addr.c | 28 ++++++++++--
 tools/testing/selftests/bpf/test_verifier.c  | 48 ++++++++++++++++----
 4 files changed, 78 insertions(+), 33 deletions(-)

-- 
2.17.1